Get Wallet By Locator
curl --request GET \
--url https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator} \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x1234567890123456789012345678901234567890",
"chainType": "aptos",
"type": "smart",
"alias": "my-usdc-wallet",
"config": "<unknown>",
"createdAt": 123,
"owner": "email:test@example.com"
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}REST
Get Wallet By Locator
Retrieves a wallet by its locator (address or user identifier and wallet type)
API scope required: wallets.read
GET
/
2025-06-09
/
wallets
/
{walletLocator}
Get Wallet By Locator
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
Response
The record has been successfully retreived.
- Aptos wallet output
- EVM wallet output
- Solana wallet output
- Stellar wallet output
- Sui wallet output
Complete wallet configuration including type-specific settings
The onchain address of the wallet
Example:
"0x1234567890123456789012345678901234567890"
The blockchain type of the wallet
Available options:
aptos The wallet type (smart or mpc)
Available options:
mpc, smart Example:
"smart"
The wallet alias
Example:
"my-usdc-wallet"
Aptos wallet type specific configuration settings
ISO timestamp of when the wallet was created
The user that owns this wallet in format :
Example:
"email:test@example.com"
Was this page helpful?

